Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations
GETVIP OperationsSince 0.6SynchronousAuth Required

QueryVip

QueryVip

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      The IP address of the IPv4 type.

    • stateStringRequired

      The state of the VIP, including Enabled and Enabled.

    • gatewayStringRequired

      The gateway.

    • netmaskStringRequired

      The netmask.

    • prefixLenStringRequired

      The prefix length.

    • serviceProviderStringRequired

      The service provider that provides the VIP service.

    • peerL3NetworkUuidStringRequired

      The L3 private network UUID or the VPC L3 network UUID.

    • useForStringRequired

      The usage, such as port forwarding.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vips

/zstack/v1/vips

Operation ID

QueryVip

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vips' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "8c5eb4938be549218fda4c87de4d8cad", "name": "new name", "ipRangeUuid": "7d0dda5b1c4f40069ec4cfd6b66bdf48", "l3NetworkUuid": "a81054a6807e47a09922473e9ab376cb", "ip": "192.168.0.1", "state": "Enabled", "gateway": "127.0.0.1", "netmask": "255.255.0.0", "peerL3NetworkUuid": [ "64ef7a2ea9ec4095b343ea239a7ba344" ] } ] }

Change History

This API has no change history records yet.

View all change history